> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trajectory.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Status



## OpenAPI

````yaml /openapi.json get /api/v1/benchmark-ingestion/operations/{operation_id}
openapi: 3.1.0
info:
  title: Trajectory API
  version: 0.1.0
servers:
  - url: https://api.trajectory.ai
security: []
paths:
  /api/v1/benchmark-ingestion/operations/{operation_id}:
    get:
      tags:
        - benchmark-ingestion
      summary: Status
      operationId: getBenchmarkSubmissionOperation
      parameters:
        - name: operation_id
          in: path
          required: true
          schema:
            type: string
            title: Operation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BenchmarkIngestionOperationStatus'
        default:
          $ref: '#/components/responses/ApiErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    BenchmarkIngestionOperationStatus:
      properties:
        operation_id:
          type: string
          title: Operation Id
        bench_id:
          type: string
          title: Bench Id
        status:
          type: string
          enum:
            - queued
            - running
            - succeeded
            - partial_failure
            - failed
          title: Status
        stage:
          type: string
          enum:
            - verifying
            - registering
            - building
          title: Stage
        task_count:
          type: integer
          title: Task Count
          default: 0
        added_count:
          type: integer
          title: Added Count
          default: 0
        updated_count:
          type: integer
          title: Updated Count
          default: 0
        skipped_count:
          type: integer
          title: Skipped Count
          default: 0
        registered_tasks:
          type: integer
          title: Registered Tasks
          default: 0
        total_tasks:
          type: integer
          title: Total Tasks
          default: 0
        ready_runtimes:
          type: integer
          title: Ready Runtimes
          default: 0
        total_runtimes:
          type: integer
          title: Total Runtimes
          default: 0
        failure_count:
          type: integer
          title: Failure Count
          default: 0
        build_images:
          type: boolean
          title: Build Images
        ready:
          type: boolean
          title: Ready
          default: false
      type: object
      required:
        - operation_id
        - bench_id
        - status
        - stage
        - build_images
      title: BenchmarkIngestionOperationStatus
    ApiErrorEnvelope:
      properties:
        error:
          $ref: '#/components/schemas/ApiErrorBody'
      required:
        - error
      title: ApiErrorEnvelope
      type: object
    ApiErrorBody:
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        param:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Param
        doc_url:
          type: string
          title: Doc Url
        context:
          additionalProperties: true
          title: Context
          type: object
      required:
        - type
        - code
        - message
        - doc_url
        - context
      title: ApiErrorBody
      type: object
    ErrorType:
      enum:
        - invalid_request_error
        - authentication_error
        - permission_error
        - conflict_error
        - rate_limit_error
        - dependency_error
        - api_error
      title: ErrorType
      type: string
  responses:
    ApiErrorResponse:
      description: >-
        Common API error. Possible codes: `authentication_required`,
        `permission_denied`, `validation_error`, `rate_limited`,
        `internal_error`, `service_unavailable`.
      headers:
        X-Request-ID:
          $ref: '#/components/headers/RequestId'
        Trajectory-Should-Retry:
          $ref: '#/components/headers/TrajectoryShouldRetry'
        Retry-After:
          $ref: '#/components/headers/RetryAfter'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorEnvelope'
  headers:
    RequestId:
      schema:
        type: string
    TrajectoryShouldRetry:
      schema:
        type: boolean
    RetryAfter:
      schema:
        type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Organization API key

````